Author: renodr
Date: Thu Sep 22 21:15:38 2016
New Revision: 17795

Log:
Update to AccountsService-0.6.43
Update to totem-pl-parser-3.10.7
Fixed the documentation directory in libsigc++
Dependency, text, installed files, and typo fixes

Modified:
   trunk/BOOK/general/genlib/libsigc++.xml
   trunk/BOOK/general/genutils/pinentry.xml
   trunk/BOOK/gnome.ent
   trunk/BOOK/gnome/platform/accountsservice.xml
   trunk/BOOK/gnome/platform/gcr.xml
   trunk/BOOK/gnome/platform/gnome-keyring.xml
   trunk/BOOK/gnome/platform/libsecret.xml
   trunk/BOOK/gnome/platform/rest.xml
   trunk/BOOK/gnome/platform/totem-pl-parser.xml
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/pst/printing/gutenprint.xml

Modified: trunk/BOOK/general/genlib/libsigc++.xml
==============================================================================
--- trunk/BOOK/general/genlib/libsigc++.xml     Thu Sep 22 14:14:18 2016        
(r17794)
+++ trunk/BOOK/general/genlib/libsigc++.xml     Thu Sep 22 21:15:38 2016        
(r17795)
@@ -79,6 +79,12 @@
     <title>Installation of libsigc++</title>
 
     <para>
+      First, fix the documentation directory name:
+    </para>
+
+<screen><userinput>sed -e '/^libdocdir =/ 
s/$(book_name)/libsigc++-&libsigc-version;/' -i 
docs/Makefile.in</userinput></screen>
+
+    <para>
       Install <application>libsigc++</application> by running the following
       commands:
     </para>

Modified: trunk/BOOK/general/genutils/pinentry.xml
==============================================================================
--- trunk/BOOK/general/genutils/pinentry.xml    Thu Sep 22 14:14:18 2016        
(r17794)
+++ trunk/BOOK/general/genutils/pinentry.xml    Thu Sep 22 21:15:38 2016        
(r17795)
@@ -75,10 +75,12 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="emacs"/>,
       <xref linkend="gcr"/>,
       <xref linkend="gtk2"/>,
       <xref linkend="gtk3"/>,
-      <xref linkend="libcap-pam"/>,
+      <!-- <xref linkend="libcap-pam"/>, This is in LFS already. PAM is not
+      neccessary. -->
       <xref linkend="libsecret"/>, and
       <xref linkend="qt5"/>
     </para>
@@ -131,6 +133,10 @@
     <title>Command Explanations</title>
 
     <para>
+      <option>--enable-emacs=yes/no</option>: Default is yes.
+    </para>
+
+    <para>
       <option>--enable-pinentry-qt=yes/no</option>: Default is yes.
     </para>
 
@@ -158,8 +164,8 @@
 
       <seglistitem>
         <seg>
-          pinentry (symlink), pinentry-curses, pinentry-gnome3, pinentry-gtk-2,
-          pinentry-qt, and pinentry-tty
+          pinentry (symlink), pinentry-curses, pinentry,emacs, pinentry-gnome3,
+          pinentry-gtk-2, pinentry-qt, and pinentry-tty
         </seg>
         <seg>None</seg>
         <seg>None</seg>
@@ -192,6 +198,17 @@
           </indexterm>
         </listitem>
       </varlistentry>
+
+      <varlistentry id="pinentry-emacs">
+        <term><command>pinentry-emacs</command></term>
+        <listitem>
+          <para> is an <application>Emacs</application> version of the
+          <application>PIN-Entry</application> helper program.</para>
+          <indexterm zone="pinentry pinentry-emacs">
+            <primary sortas="b-pinentry-emacs">pinentry-emacs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
       <varlistentry id="pinentry-gnome3">
         <term><command>pinentry-gnome3</command></term>

Modified: trunk/BOOK/gnome.ent
==============================================================================
--- trunk/BOOK/gnome.ent        Thu Sep 22 14:14:18 2016        (r17794)
+++ trunk/BOOK/gnome.ent        Thu Sep 22 21:15:38 2016        (r17795)
@@ -11,7 +11,7 @@
 
 <!-- Chapter 30 -->
 <!-- Platform -->
-<!ENTITY accountsservice-version      "0.6.42">
+<!ENTITY accountsservice-version      "0.6.43">
 <!ENTITY gsettings-desktop-schemas-version "3.22.0">
 <!ENTITY yelp-xsl-version             "3.20.1">
 <!ENTITY GConf-version                "3.2.6">
@@ -24,7 +24,7 @@
 <!ENTITY libpeas-version              "1.18.0">
 <!ENTITY libwnck-version              "3.20.1">
 <!ENTITY rest-version                 "0.8.0">
-<!ENTITY totem-pl-parser-version      "3.10.6">
+<!ENTITY totem-pl-parser-version      "3.10.7">
 <!ENTITY vte-version                  "0.44.2">
 <!ENTITY geocode-glib-version         "3.20.1">
 <!ENTITY gnome-online-accounts-version "3.20.3">

Modified: trunk/BOOK/gnome/platform/accountsservice.xml
==============================================================================
--- trunk/BOOK/gnome/platform/accountsservice.xml       Thu Sep 22 14:14:18 
2016        (r17794)
+++ trunk/BOOK/gnome/platform/accountsservice.xml       Thu Sep 22 21:15:38 
2016        (r17795)
@@ -7,9 +7,9 @@
   <!ENTITY accountsservice-download-http
            
"http://www.freedesktop.org/software/accountsservice/accountsservice-&accountsservice-version;.tar.xz";>
   <!ENTITY accountsservice-download-ftp  " ">
-  <!ENTITY accountsservice-md5sum        "77a38325c82effa976cc1a03fbcd5117">
-  <!ENTITY accountsservice-size          "372 KB">
-  <!ENTITY accountsservice-buildsize     "12 MB">
+  <!ENTITY accountsservice-md5sum        "27a899cdfba9aeae4ba4b0bf2b05810a">
+  <!ENTITY accountsservice-size          "376 KB">
+  <!ENTITY accountsservice-buildsize     "11 MB">
   <!ENTITY accountsservice-time          "0.1 SBU">
 ]>
 
@@ -133,6 +133,11 @@
       the group for administrator accounts.
     </para>
 
+    <para>
+      <option>--enable-docbook-docs</option>: This switch enables building
+      the D-Bus interface API documentation.
+    </para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude";
       href="../../xincludes/static-libraries.xml"/>
 
@@ -174,13 +179,14 @@
 
       <seglistitem>
         <seg>
-          accounts-daemon
+          accounts-daemon (library executable)
         </seg>
         <seg>
           libaccountsservice.so
         </seg>
         <seg>
           /usr/include/accountsservice-1.0,
+          /usr/share/doc/accountsservice,
           /usr/share/gtk-doc/html/libaccountsservice, and
           /var/lib/AccountsService
         </seg>

Modified: trunk/BOOK/gnome/platform/gcr.xml
==============================================================================
--- trunk/BOOK/gnome/platform/gcr.xml   Thu Sep 22 14:14:18 2016        (r17794)
+++ trunk/BOOK/gnome/platform/gcr.xml   Thu Sep 22 21:15:38 2016        (r17795)
@@ -118,7 +118,8 @@
 
     <para>
       To test the results, issue: <command>make -k check</command>.
-      Some tests fail for unknown reasons.
+      The tests must be run from an X Terminal or similar, but two
+      still fail.
     </para>
 
     <para>
@@ -138,7 +139,9 @@
 
     <para>
       <parameter>--without-gtk</parameter>: Use this switch if you
-      haven't installed <xref linkend="gtk3"/>.
+      haven't installed <xref linkend="gtk3"/>. Note that
+      <application>gcr-viewer</application> will not be installed
+      if this is passed to configure.
     </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude";

Modified: trunk/BOOK/gnome/platform/gnome-keyring.xml
==============================================================================
--- trunk/BOOK/gnome/platform/gnome-keyring.xml Thu Sep 22 14:14:18 2016        
(r17794)
+++ trunk/BOOK/gnome/platform/gnome-keyring.xml Thu Sep 22 21:15:38 2016        
(r17795)
@@ -156,7 +156,8 @@
           gnome-keyring (symlink), gnome-keyring-3, and gnome-keyring-daemon
         </seg>
         <seg>
-          gnome-keyring-pkcs11.so and pam_gnome_keyring.so
+          gnome-keyring-pkcs11.so (PKCS#11 module) and 
+          pam_gnome_keyring.so (PAM module)
         </seg>
         <seg>
           /usr/lib/gnome-keyring

Modified: trunk/BOOK/gnome/platform/libsecret.xml
==============================================================================
--- trunk/BOOK/gnome/platform/libsecret.xml     Thu Sep 22 14:14:18 2016        
(r17794)
+++ trunk/BOOK/gnome/platform/libsecret.xml     Thu Sep 22 21:15:38 2016        
(r17795)
@@ -106,7 +106,7 @@
 
     <note>
       <para>
-        Any package requiring <application>libsecret</application>,
+        Any package requiring <application>libsecret</application>
         expects <application>GNOME Keyring</application> to be
         present at runtime.
       </para>

Modified: trunk/BOOK/gnome/platform/rest.xml
==============================================================================
--- trunk/BOOK/gnome/platform/rest.xml  Thu Sep 22 14:14:18 2016        (r17794)
+++ trunk/BOOK/gnome/platform/rest.xml  Thu Sep 22 21:15:38 2016        (r17795)
@@ -87,7 +87,8 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/>
+      <xref linkend="gtk-doc"/> and
+      <ulink url="http://ltp.sourceforge.net/coverage/lcov.php";>LCOV</ulink>
     </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -103,13 +104,12 @@
       commands:
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
+<screen><userinput>sed -i "/seems to be moved/s/^/#/" build/ltmain.sh 
&amp;&amp;
 ./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
     <para>
-      To test the results, issue: <command>make check</command>. Note that one
-      test fails for unknown reasons.
+      To test the results, issue: <command>make check</command>.
     </para>
 
     <para>
@@ -124,10 +124,13 @@
     <title>Command Explanations</title>
 
     <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
+      <command>sed -i ... build/ltmain.sh</command>: This sed silences several
       useless and annoying warnings generated by libtool.
     </para>
    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude";
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
   </sect2>
 
   <sect2 role="content">

Modified: trunk/BOOK/gnome/platform/totem-pl-parser.xml
==============================================================================
--- trunk/BOOK/gnome/platform/totem-pl-parser.xml       Thu Sep 22 14:14:18 
2016        (r17794)
+++ trunk/BOOK/gnome/platform/totem-pl-parser.xml       Thu Sep 22 21:15:38 
2016        (r17795)
@@ -8,10 +8,10 @@
    
"&gnome-download-http;/totem-pl-parser/3.10/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
   <!ENTITY totem-pl-parser-download-ftp
    
"&gnome-download-ftp;/totem-pl-parser/3.10/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
-  <!ENTITY totem-pl-parser-md5sum        "b8a691c30632bb2f2df3b33e4998bbcb">
-  <!ENTITY totem-pl-parser-size          "1.6 MB">
-  <!ENTITY totem-pl-parser-buildsize     "14 MB (additional 116 KB for the 
tests)">
-  <!ENTITY totem-pl-parser-time          "0.2 SBU (additional 0.9 SBU for the 
tests)">
+  <!ENTITY totem-pl-parser-md5sum        "a316c4c82ac64758d7b57e422a07a75e">
+  <!ENTITY totem-pl-parser-size          "1.5 MB">
+  <!ENTITY totem-pl-parser-buildsize     "13 MB (additional 144 KB for the 
tests)">
+  <!ENTITY totem-pl-parser-time          "0.1 SBU (additional 0.1 SBU for the 
tests)">
 ]>
 
 <sect1 id="totem-pl-parser" 
xreflabel="totem-pl-parser-&totem-pl-parser-version;">
@@ -112,9 +112,9 @@
     </para>
 
 <screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-
 make</userinput></screen>
 
+<!-- This is not needed anymore as of at least 3.10.7.
     <para>
       If you wish to run the test suite, disable two tests which fail,
       by running:
@@ -123,6 +123,7 @@
 <screen><userinput>sed -e '/g_test_add_func (\"\/parser\/parsability/d' \
     -e '/g_test_add_func (\"\/parser\/parsing\/xml_mixed_cdata/d' \
     -i plparse/tests/parser.c</userinput></screen>
+-->
 
     <para>
       To test the results, issue: <command>make check</command>. You will

Modified: trunk/BOOK/introduction/welcome/changelog.xml
==============================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml       Thu Sep 22 14:14:18 
2016        (r17794)
+++ trunk/BOOK/introduction/welcome/changelog.xml       Thu Sep 22 21:15:38 
2016        (r17795)
@@ -47,6 +47,19 @@
       <para>September 22nd, 2016</para>
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to totem-pl-parser-3.10.7. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to AccountsService-0.6.43. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Fix documentation install directory in
+          libsigc++. Fixes
+          <ulink url="&blfs-ticket-root;8344">#8344</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to WebkitGTK+-2.14.0. Fixes
           <ulink url="&blfs-ticket-root;8331">#8331</ulink>.</para>
         </listitem>

Modified: trunk/BOOK/pst/printing/gutenprint.xml
==============================================================================
--- trunk/BOOK/pst/printing/gutenprint.xml      Thu Sep 22 14:14:18 2016        
(r17794)
+++ trunk/BOOK/pst/printing/gutenprint.xml      Thu Sep 22 21:15:38 2016        
(r17795)
@@ -243,7 +243,7 @@
         <term><command>cups-genppd.5.2</command></term>
         <listitem>
           <para>
-            generate Gutenprint PPD files for use with CUPS.
+            generates Gutenprint PPD files for use with CUPS.
           </para>
           <indexterm zone="gutenprint cups-genppd.5.2">
             <primary sortas="b-cups-genppd.5.2">cups-genppd.5.2</primary>
@@ -277,7 +277,7 @@
       <varlistentry id="ijsgutenprint.5.2">
         <term><command>ijsgutenprint.5.2</command></term>
         <listitem>
-          <para>is a Ghostscript driver for HP inkjet and laserjet 
printers.</para>
+          <para>is a Ghostscript driver for HP InkJet and LaserJet 
printers.</para>
           <indexterm zone="gutenprint ijsgutenprint.5.2">
             <primary sortas="b-ijsgutenprint.5.2">ijsgutenprint.5.2</primary>
           </indexterm>
@@ -288,7 +288,7 @@
         <term><command>testpattern</command></term>
         <listitem>
           <para>
-            is a test programm to learn how to use libgutenprint.
+            is a test program to learn how to use libgutenprint.
           </para>
           <indexterm zone="gutenprint testpattern">
             <primary sortas="b-testpattern">testpattern</primary>
-- 
http://lists.linuxfromscratch.org/listinfo/blfs-book
FAQ: http://www.linuxfromscratch.org/blfs/faq.html
Unsubscribe: See the above information page

Reply via email to